Package com.databricks.jdbc.api.impl.arrow

## Class ArrowResultChunk.Builder

- java.lang.Object
- - com.databricks.jdbc.api.impl.arrow.ArrowResultChunk.Builder

Enclosing class:
  ArrowResultChunk

    public static class ArrowResultChunk.Builder
    extends Object

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrowResultChunk` `build()`
`ArrowResultChunk.Builder` `statementId​(String statementId)`
`ArrowResultChunk.Builder` `withChunkInfo​(com.databricks.sdk.service.sql.BaseChunkInfo baseChunkInfo)`
`ArrowResultChunk.Builder` `withInputStream​(InputStream stream, long rowCount)`
`ArrowResultChunk.Builder` `withThriftChunkInfo​(long chunkIndex, TSparkArrowResultLink chunkInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### statementId

    public ArrowResultChunk.Builder statementId​(String statementId)

#### withChunkInfo

    public ArrowResultChunk.Builder withChunkInfo​(com.databricks.sdk.service.sql.BaseChunkInfo baseChunkInfo)

#### withInputStream

    public ArrowResultChunk.Builder withInputStream​(InputStream stream,
                                                    long rowCount)

#### withThriftChunkInfo

    public ArrowResultChunk.Builder withThriftChunkInfo​(long chunkIndex,
                                                        TSparkArrowResultLink chunkInfo)

#### build

    public ArrowResultChunk build()
                           throws DatabricksParsingException

Throws:
  `DatabricksParsingException`